Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.memcache
Interface ConsistentErrorHandler

All Superinterfaces:
  ErrorHandler

All Known Implementing Classes:
  ConsistentLogAndContinueErrorHandler, StrictErrorHandler

    public interface ConsistentErrorHandler

extends ErrorHandler

A marker interface to indicate that all `MemcacheServiceException` exceptions should be handled by `ErrorHandler.handleServiceError(MemcacheServiceException)`. This interface was added to enable handling `MemcacheServiceException` thrown by the various `MemcacheService.put(Object, Object)` methods while preserving backward compatibility with `ErrorHandler` which did not handle such cases.

Method Summary
`void` | `handleDeserializationError(InvalidValueException ivx)` Handles deserialization errors.
`void` | `handleServiceError(MemcacheServiceException ex)` Handles back-end service errors.

Method Detail

### handleDeserializationError

    void handleDeserializationError(InvalidValueException ivx)

  Description copied from interface: `ErrorHandler`
  Handles deserialization errors. This method is called from either of the `get` methods, if the retrieved value cannot be deserialized. This normally indicates an application upgrade since the cache entry was stored, and should thus be treated as a cache miss, which is the behavior of `LogAndContinueErrorHandler` (the default).

  Specified by:
    `handleDeserializationError` in interface `ErrorHandler`

### handleServiceError

    void handleServiceError(MemcacheServiceException ex)

  Description copied from interface: `ErrorHandler`
  Handles back-end service errors. This method is called from most of the `MemcacheService` methods in the event of a service error. The handler may throw any `RuntimeException`, or it may simply return for "permissive" error handling, which will generally emulate behavior of a cache miss due to a discarded entry.

  Specified by:
    `handleServiceError` in interface `ErrorHandler`
  Parameters:
    `ex` - the service error exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD